Issue #4651 has been updated by naruse (Yui NARUSE).


mbleigh (Michael Bleigh) wrote:
> I'm sorry, but I'm not sure what the resolution of this is for it to be closed. I've just run into the same error with 1.9.2-head (works in 1.9.3-head) on RVM. Is this a fix that is going to be applied to the 1.9.2 branch or is it going to remain unpatched until 1.9.3?

The main thread of this problem is #5082 and it is fixed in Ruby 1.9.3-p125.
Yugui, the maintainer of 1.9.2 release branch, may handle the backport, but I don't know the status.
I think you should update to 1.9.3.
----------------------------------------
Bug #4651: Bus Error using continuation on x86_64-darwin11.0.0 (Lion)
https://bugs.ruby-lang.org/issues/4651#change-25922

Author: sferik (Erik Michaels-Ober)
Status: Closed
Priority: Low
Assignee: 
Category: 
Target version: 
ruby -v: -


=begin
The following code crashes with a Bus Error on Ruby 1.9.2-p136 and 1.9.2-p180 built for x86_64-darwin11.0.0 (Lion). The same code works on both of those versions of Ruby built for x86_64-darwin10.0.0 (Snow Leopard).

(({require 'continuation'}))

(({cc = callcc {|cc| cc }; cc.call if cc}))

This actual code appears in the yard gem on ((<line 38 of yard.rb|URL:https://github.com/lsegal/yard/blob/master/lib/yard.rb#L38>)).

I've attached the crash log. Please let me know if you need any other information from me to help debug this issue. Thank you very much. Ruby makes me happy.
=end


-- 
http://bugs.ruby-lang.org/